@extends('web.layouts.master')
@section('title', 'تفاصيل الاعلان')
@section('contents')
    <!-- start page title -->
    <section class="page-title">
        <div class="container">
            <h3 class="main-title">تفاصيل الاعلان</h3>
        </div>
    </section>
    <!-- end page title -->

    <!-- start brands  -->
    <section class="item-details">
        <div class="container">
            <div class="row">
                <div class="col-md-8 col-md-8">
                    <div class="all-item-slider">
                        <div class="slider item-for">
                            @foreach($row->images as $image )
                                <div class="item">
                                    <img src="{{$image->image}}" alt="item img"/>
                                </div>
                            @endforeach
                        </div>
                        <div class="slider item-nav">
                            @foreach($row->images as $image )
                                <div class="item">
                                    <img src="{{$image->image}}" alt="item img"/>
                                </div>
                            @endforeach
                        </div>
                    </div>
                    <div class="right-grid all-detials grey-bg">
                        <div class="row item-text">
                            <h5 class="col-12 item-name wow fadeInDown">
                                {{$row->title}}
                            </h5>
                            <div class="col-12 item-owner">
                                <p class="owner">
                                    <span class="icon"><i class="fas fa-user"></i></span>
                                    {{$row->user->name}}
                                </p>
                                <p class="time">
                                    <span class="icon">
                                        <i class="fas fa-clock"></i>
                                    </span>
                                    {{\Carbon\Carbon::parse($row->created_at)->diffForHumans()}}
                                </p>
                            </div>
                            <p class="col-12 wow fadeInUp">
                                {{$row->detail}}
                            </p>
                        </div>
                        <div class="row item-info wow fadeInUp">
                            <div class="col-md-12 col-lg-6">
                                <ul class="list-unstyled white-bg">
                                    <li>
                                        <span class="icon">
                                            <img src="{{asset('web/img/dynamic/icons/heart.png')}}" alt="icon"/>
                                        </span>
                                        <span
                                            class="total-count">{{\App\Models\Favourite::where('product_id',$row->id)->count()}}</span>
                                    </li>
                                    @if(Auth::check() && $row->user->id != Auth::user()->id)
                                        <li>
                                        <span class="icon">
                                            <img src="{{asset('web/img/dynamic/icons/mail.png')}}" alt="icon"/>
                                        </span>
                                            <span class="total-count"><a href="{{route('messages', $row->user->id)}}">راسل الآن</a></span>
                                        </li>
                                        <li>
                                        <span class="icon">
                                            <img src="{{asset('web/img/dynamic/icons/flag.png')}}" alt="icon"/>
                                        </span>
                                            @if(\App\Models\Spam::where(['user_id'=> Auth::user()->id, 'product_id'=>$row->id, 'type' => 'product'])->first())
                                                <span class="total-count">تم الابلاغ</span>
                                            @else
                                                <span id="spam_in" onclick="spam('{{$row->id}}','product')"
                                                      style="cursor: pointer"
                                                      class="total-count">ابلغ عن الاعلان</span>
                                            @endif
                                        </li>
                                    @else
                                        <li>
                                        <span class="icon">
                                            <img src="{{asset('web/img/dynamic/icons/mail.png')}}" alt="icon"/>
                                        </span>
                                            <span class="total-count"><a href="{{route('home')}}">راسل الآن</a></span>
                                        </li>
                                        <li>
                                        <span class="icon">
                                            <img src="{{asset('web/img/dynamic/icons/flag.png')}}" alt="icon"/>
                                        </span>
                                            <a id="spam_in" href="{{route('home')}}"
                                               style="cursor: pointer"
                                               class="total-count">ابلغ عن الاعلان</a>
                                        </li>
                                    @endif
                                </ul>
                            </div>
                            @if($row->hide_mobile == 'false')
                                <div class="col-md-6 col-lg-3">
                                    <a href="https://api.whatsapp.com/send?phone={{$row->mobile}}&text="
                                       class="contact-link whatsapp btn-hover" target="_blank">
                                        <img src="{{asset('web/img/dynamic/icons/whatsapp.png')}}" alt="img"/>
                                        اتصال عبر الواتساب
                                    </a>
                                </div>
                            @endif
                            <div class="col-md-6 col-lg-3">
                                <a href="#" class="contact-link twitter btn-hover" target="_blank">
                                    <img src="{{asset('web/img/dynamic/icons/twitter.png')}}" alt="img"/>
                                    اتصال عبر تويتر
                                </a>
                            </div>
                        </div>
                        <div class="row item-info contact wow fadeInUp">
                            <h4 class="col-12 contact-title">التواصل</h4>
                            <ul class="col-12 list-unstyled contact-list">
                                @if($row->hide_mobile == 'false')
                                    <li>
                                        <a href="tel:{{$row->mobile}}">
                                            <span class="icon"><i class="fas fa-phone"></i></span>{{$row->mobile}}
                                        </a>
                                    </li>
                                @endif
                            </ul>
                        </div>
                        {{--                        <div class="row item-info contact wow fadeInUp">--}}
                        {{--                            <h4 class="col-12 contact-title">كلمات البحث</h4>--}}
                        {{--                            <ul class="col-12 list-unstyled contact-list">--}}
                        {{--                                <li class="border-link wow fadeInUp">--}}
                        {{--                                    <a href="#">كيا</a>--}}
                        {{--                                </li>--}}
                        {{--                                <li class="border-link wow fadeInUp">--}}
                        {{--                                    <a href="#">بينتلي</a>--}}
                        {{--                                </li>--}}
                        {{--                                <li class="border-link wow fadeInUp">--}}
                        {{--                                    <a href="#">تويوتا</a>--}}
                        {{--                                </li>--}}
                        {{--                                <li class="border-link wow fadeInUp">--}}
                        {{--                                    <a href="#">هيونداى</a>--}}
                        {{--                                </li>--}}
                        {{--                                <li class="border-link wow fadeInUp">--}}
                        {{--                                    <a href="#">كيا</a>--}}
                        {{--                                </li>--}}
                        {{--                                <li class="border-link wow fadeInUp">--}}
                        {{--                                    <a href="#">بينتلي</a>--}}
                        {{--                                </li>--}}
                        {{--                                <li class="border-link wow fadeInUp">--}}
                        {{--                                    <a href="#">تويوتا</a>--}}
                        {{--                                </li>--}}
                        {{--                                <li class="border-link wow fadeInUp">--}}
                        {{--                                    <a href="#">هيونداى</a>--}}
                        {{--                                </li>--}}
                        {{--                            </ul>--}}
                        {{--                        </div>--}}
                        <div class="row item-info comments wow fadeInUp">
                            <h4 class="col-6 contact-title">التعليقات</h4>
                            <h4 class="col-6 contact-title main-color">
                                <img src="{{asset('web/img/dynamic/icons/follow.png')}}" alt="follow img"/>متابعة الردود
                            </h4>
                            <div class="clearfix"></div>
                            @if(Auth::check())

                                <div class="form-group col-md-12">
                                        <textarea style="width: 100%" name="comment" class="form-control"
                                                  placeholder="اكتب تعليقك هنا ..."></textarea>
                                    <button onclick="add_comment({{$row->id}})" type="submit"
                                            class="btn btn-transparent btn-send">
                                        <img src="{{asset('web/img/dynamic/icons/send.png')}}" alt="send"/>
                                    </button>
                                </div>
                            @endif
                            <div class="col-12 comments-block">
                                <ul id="comment-in" class="list-unstyled">
                                    @foreach($row->comments()->orderByDesc('id')->get() as $comment)
                                        <li class="media">
                                            <img
                                                src="{{$comment->user->image ? asset('images/users/'.$comment->user->image) : asset('web/img/dynamic/icons/user.png')}}"
                                                class="owner-avatar"
                                                alt="owner"/>
                                            <div class="media-body">
                                                <div class="head-info">
                                                    <h5 class="com-owner">{{$comment->user->name}}</h5>
                                                    <p class="time">
                                                    <span class="icon">
                                                        <i class="fas fa-clock"></i>
                                                    </span>
                                                        {{\Carbon\Carbon::parse($comment->created_at)->diffForHumans()}}
                                                    </p>
                                                </div>
                                                <p class="w-border">
                                                    {{$comment->body}}
                                                </p>
                                                <p>
                                                <span class="reply">
                                                    <span class="icon"><img
                                                            src="{{asset('web/img/dynamic/icons/flag-blue.png')}}"
                                                            alt="report"/></span>
                                                    @if(Auth::check())
                                                        @if(\App\Models\Spam::where(['user_id'=> Auth::user()->id, 'product_id'=>$row->id, 'type' => 'comment', 'comment_id' => $comment->id])->first())
                                                            <span class="text">تم الابلاغ</span>
                                                        @else
                                                            <span id="comment_in"
                                                                  onclick="spam('{{$row->id}}','comment', '{{$comment->id}}')"
                                                                  class="text">ابلاغ</span>
                                                        @endif
                                                    @else
                                                        <a href="{{route('home')}}" id="comment_in"
                                                           class="text">ابلاغ</a>
                                                    @endif
                                                </span>
                                                </p>

                                            </div>
                                        </li>
                                    @endforeach
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-4 col-md-4 filter-block">
                    <div class="row side-items main-content grey-bg">
                        <h4 class="col-12 title wow fadeInDown">اعلانات مشابهة</h4>

                        @foreach($similar_products as $item)
                            <div class="col-12 grid-cols flex-column wow fadeInUp">
                                <div class="card sm">
                                    <div class="card-img-top">
                                        <img
                                            src="{{(count($row->images) > 0) ? $row->images[0]['image'] : $setting->site_logo}}"
                                            class=" img-fluid" alt="product img"/>
                                        <div class="card-caption">
                                            <div class="inner-caption">
                                                <ul class="list-unstyled list-inline">
                                                    <li class="icon eye">
                                                        <a href="{{route('product.show', $item->code)}}"
                                                           title="مشاهدة الاعلان"><i
                                                                class="fa fa-eye"></i>
                                                        </a>
                                                    </li>
                                                    @if(\Auth::check())
                                                        <li onclick="favourite({{$item->id}})"
                                                            class="icon fav {{\App\Models\Favourite::where(['user_id' => Auth::user()->id, 'product_id' => $item->id])->first() ? 'liked' : ''}}">
                                                    <span title="أضف الى المفضلة"><i
                                                            class="fa fa-heart"></i>
                                                    </span>
                                                        </li>
                                                    @endif
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card-body">
                                        <h5 class="card-title">
                                            <a href="{{route('product.show', $item->code)}}">{{$item->title}}</a>
                                        </h5>
                                        <p class="locate">
                                            <span class="icon"><i class="fas fa-map-marker-alt"></i></span>
                                            {{$item->city->name[App::getLocale()]}}
                                        </p>
                                        <div class="bottom">
                                            <p class="owner">
                                                <span class="icon"><i class="fas fa-user"></i></span>
                                                {{$item->user->name}}
                                            </p>
                                            <p class="time">
                                            <span class="icon">
                                                <i class="fas fa-clock"></i>
                                            </span>
                                                {{\Carbon\Carbon::parse($item->created_at)->diffForHumans()}}
                                            </p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        @endforeach

                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- end brands  -->

@endsection

@section('script')

    <script>
        function add_comment(id) {

            var comment = $("textarea[name=comment]").val();
            console.log(id, comment);
            $.ajax({
                type: 'POST',
                url: '{{route('add_comment_web')}}',
                data: {product_id: id, comment: comment},
                success: function (data) {
                    console.log(data);
                    if (data.value == true) {
                        Swal.fire({
                            title: '{{trans('data.success')}}',
                            text: data.msg,
                            icon: 'success',
                            confirmButtonText: '{{trans('data.done')}}'
                        });
                        $("textarea[name=comment]").val('')

                        if (data.data.user_image) {
                            var image = "{{asset('images/users/')}}/" + data.data.user_image + "";
                        } else {
                            var image = "{{asset('web/img/dynamic/icons/user.png')}}";
                        }

                        $("#comment-in").prepend("    <li class=\"media\">\n" +
                            "        <img src=\" " + image + "\" class=\"owner-avatar\" alt=\"owner\" />\n" +
                            "        <div class=\"media-body\">\n" +
                            "            <div class=\"head-info\">\n" +
                            "                <h5 class=\"com-owner\">" + data.data.user_name + "</h5>\n" +
                            "                <p class=\"time\">\n" +
                            "                                                    <span class=\"icon\">\n" +
                            "                                                        <i class=\"fas fa-clock\"></i>\n" +
                            "                                                    </span>\n" +
                            "" + data.data.ago + "" +
                            "                </p>\n" +
                            "            </div>\n" +
                            "            <p class=\"w-border\">\n" +
                            "" + data.data.body + "" +
                            "            </p>\n" +
                            "            <p>\n" +
                            "                                                <span class=\"reply add-reply\">\n" +
                            "                                                    <span class=\"icon\"><img src=\"{{asset('web/img/dynamic/icons/flag-blue.png')}}\"\n" +
                            "                                                                            alt=\"reload\" /></span>\n" +
                            "\n" +
                            "                                                    <span class=\"text\">ابلاغ</span>\n" +
                            "                                                </span>\n" +
                            "            </p>\n"
                        );
                    } else {
                        Swal.fire({
                            title: '{{trans('data.error')}}',
                            text: data.msg,
                            icon: 'error',
                            confirmButtonText: '{{trans('data.close')}}'
                        });
                    }

                }
            });
        }


        function spam(product_id, type, comment_id = null) {

            console.log(product_id, type, comment_id)

            $.ajax({
                type: 'POST',
                url: '{{route('spam_web')}}',
                data: {product_id: product_id, type: type, comment_id: comment_id},
                success: function (data) {
                    console.log(data);
                    Swal.fire({
                        title: '{{trans('data.success')}}',
                        text: data.msg,
                        icon: 'success',
                        confirmButtonText: '{{trans('data.done')}}'
                    });

                    if (comment_id == null) {
                        $("#spam_in").html('تم الابلاغ')
                    } else {

                    }
                    $("#comment_in").html('تم الابلاغ')
                }
            });
        }
    </script>

@endsection
